Subject: Re: [PATCH 8/9] for-each-ref: add option to fully dereference tags

From: Junio C Hamano <[email-masked]>
Date: Thu, 09 Nov 2023 10:32:02 +0900

Junio C Hamano <[email-masked]> writes:

> You have to feed it to "git cat-file tag" and parse the contents of
> the tag obbject yourself to manually peel further levels of onion.

Alternatively, you can drive "git show -s" with "--format" and you
probably can produce a machine parseable output.

But it does not change the argument fundamentally.  The point is
that "for-each-ref --format=%(*field)" that peels only the first
layer would not have helped all that much, if somebody really cares
about each levels of nested tags.  They would have been relying on
a solution to deal with the second and further layers anyway, and
that solution would have been working with the first layer, too.